## magit 1.0.0

=== Makefile ===
VERSION=1.0.0
EMACS=emacs
PREFIX=/usr/local
ELS=magit.el magit-svn.el magit-topgit.el magit-key-mode.el
ELCS=$(ELS:.el=.elc)
DIST_FILES=$(ELS) Makefile magit.texi README.md magit.spec.in magit-pkg.el.in 50magit.el

.PHONY=install

BATCH=$(EMACS) -batch -q -no-site-file -eval \
  "(setq load-path (cons (expand-file-name \".\") load-path))"

%.elc: %.el
	$(BATCH) --eval '(byte-compile-file "$<")'

all: $(ELCS) magit.info magit.spec magit-pkg.el

magit.spec: magit.spec.in
	sed -e s/@VERSION@/$(VERSION)/ < $< > $@

magit-pkg.el: magit-pkg.el.in
	sed -e s/@VERSION@/$(VERSION)/ < $< > $@

magit.elc:
magit-key-mode.elc:
magit-svn.elc:
magit-topgit.elc:
magit.info:

# yuck - this needs cleaning up a bit...
dist: $(DIST_FILES)
	mkdir -p magit-$(VERSION)
	cp $(DIST_FILES) magit-$(VERSION)
	tar -cvzf magit-$(VERSION).tar.gz magit-$(VERSION)
	rm -rf magit-$(VERSION)

install: all
	mkdir -p $(DESTDIR)/$(PREFIX)/share/emacs/site-lisp
	install -m 644 $(ELS) $(ELCS) $(DESTDIR)/$(PREFIX)/share/emacs/site-lisp
	mkdir -p $(DESTDIR)/$(PREFIX)/share/info
	install -m 644 magit.info $(DESTDIR)/$(PREFIX)/share/info
	install-info --info-dir=$(DESTDIR)/$(PREFIX)/share/info $(DESTDIR)/$(PREFIX)/share/info/magit.info
	mkdir -p $(DESTDIR)/etc/emacs/site-start.d
	install -m 644 50magit.el $(DESTDIR)/etc/emacs/site-start.d/50magit.el

clean:
	rm -fr magit-pkg.el magit.spec magit.info $(ELCS) *.tar.gz magit-$(VERSION)

## magit 0.7

=== debian/changelog ===
magit (0.7-1.1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * Non-maintainer upload.
  * (Including pending maintainer changes, in wait of sponsoring.)
  * Bump Standard-Version to 3.8.4 (no changes needed)
  * Add Build-Dep on autoconf and automake, to support "autoreconf -fi"
  * debian/rules: install NEWS as upstream changelog
  * debian/docs: install README and AUTHORS as documentation

  [ Marius Vollmer ]
  * Added Homepage, Vcs-Git, and Vcs-Browser fields.
  * Added git-core and emacs to Depends (closes: 529040).
  * Use /usr/bin/emacsclient always (closes: 530266).
  * Don't include /usr/share/info/dir.gz (closes: 549590).
  * Switched to source format 3.0 (quilt).
  * Don't ship any generated files; instead,
    call autoreconf from debian/rules.

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 10 Mar 2010 09:49:14 +0100

magit (0.7-1) unstable; urgency=low

  * first official debian upload (closes: #518818)

  [ RISKO Gergely ]
  * pointer added to GFDL-1.2 in debian/copyright
  * changed debian/compat to 7
  * standards-version to 3.8.1

  [ Marius Vollmer ]
  * Follow Debian Emacsen policy.
    - Use scripts in /usr/lib/emacsen-common/packages to
      byte-compile during installation.
  * List all authors in debian/copyright.
  * Lintian fixes.

  New upstream release.

  * Tagging, on 't' and 'T'.

  * Stashing, on 'z' and 'Z'.

  * Wazzup, on 'w'.  Wazzup gives you an overview over how other
    branches relate to the current one.

  * There is more control over pushing.  'P' now takes a prefix argument
    and pushing a branch without a default remote will ask for one.

  * Logs have changed a bit: 'l' shows the traditional brief log, and
    'L' shows a more verbose log.  Use the prefix arg to specify the
    range of the log.

  * M-x magit-status doesn't prompt anymore for a directory when invoked
    from within a Git repository.  Use C-u to force a prompt.

  * When you have nothing staged, 'c' will now explicitly ask whether to
    commit everything instead of just going ahead and do it.  This can
    be customized.

  * The digit keys '1', '2', '3', and '4' now show sections on the
    respective level and hide everything below.  With Meta, they work on
    all sections; without, they work only on sections that are a parent
    or child of the current section.

  * Typing '+' and '-' will change the size of hunks, via the "-U"
    option to git diff.  '0' resets hunks to their default size.

  * Typing 'k' on the "Untracked files" section title will offer to
    delete all untracked files.

  * Magit understands a bit of git-svn: the status buffer shows unpushed
    and unpulled commits, 'N r' runs git svn rebase, and 'N c' runs git
    svn dcommit.

  * Magit now also works when the direcory is accessed via tramp.

  * M-x magit-status can also create new repositories when given a
    directory that is not a Git repository.

  * Magit works better with oldish Gits that don't understand "--graph",
    for example.

  * The name of the Git program and common options for it can be
    customized.

 -- Marius Vollmer <marius.vollmer@gmail.com>  Sun, 26 Apr 2009 19:13:16 +0300

magit (0.6.1-1) unstable; urgency=low

  * Fixed a bug that screwed up working with multiple repositories.

 -- Marius Vollmer <marius.vollmer@gmail.com>  Mon, 13 Oct 2008 00:40:08 +0300

magit (0.6-1) unstable; urgency=low

  Almost everything has changed.  Please read the manual again.  Some
  highlights:

  * Magit now works with Git 1.6.0.  (John Wiegley)

  * Support for interactive rewriting.

  * Sections can be shown and hidden.

  * Staging, unstaging, applying, reverting and discarding changes can now
    be done line-by-line, not only hunk-by-hunk.

 -- Marius Vollmer <marius.vollmer@gmail.com>  Mon, 13 Oct 2008 00:32:44 +0300

magit (0.5-1) unstable; urgency=low

  * First release.

 -- Marius Vollmer <marius.vollmer@uni-dortmund.de>  Thu, 14 Aug 2008 02:11:00 +0300

=== debian/control ===
Source: magit
Section: devel
Priority: optional
Maintainer: Marius Vollmer <marius.vollmer@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), emacs | emacsen, texinfo, autoconf, automake
Standards-Version: 3.8.4
Homepage: http://zagadka.vm.bytemark.co.uk/magit/
Vcs-Browser: http://gitorious.org/projects/magit/repos/mainline
Vcs-Git: git://gitorious.org/magit/mainline.git

Package: magit
Architecture: all
Depends: ${misc:Depends}, emacs | emacsen, git-core
Description: A Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.

=== debian/rules ===
#!/usr/bin/make -f

configure:
	autoreconf -fi

build: configure
	dh build

clean:
	dh clean
	rm -f aclocal.m4 configure install-sh Makefile.in
	rm -f INSTALL texinfo.tex missing

override_dh_auto_install:
	dh_auto_install
	rm debian/magit/usr/share/emacs/site-lisp/magit.elc
	rm -f debian/magit/usr/share/info/dir

override_dh_installchangelogs:
	dh_installchangelogs NEWS

install: build 
	dh install

binary-arch: install
	dh binary-arch

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

## magit 1.0.0

=== debian/changelog ===
magit (1.0.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Drop article from package description to make lintian happy.
  * Add patch inherit-standard-faces.diff
    - Backport upstream commit 3d0ea1d60fbc0a8135e2146418c0c64c9d05705a
      to use standard faces where possible (closes: #637193).

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Tue, 30 Aug 2011 23:37:02 +0000

magit (1.0.0-1) unstable; urgency=low

  [ Timo Juhani Lindfors ]
  * New upstream release.
  * Drop support for emacsen other than emacs23 or emacs-snapshot
    (closes: #619480).

  [ Teemu Hukkanen ]
  * Add DM-Upload-Allowed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Mon, 11 Apr 2011 21:57:51 +0300

magit (0.8.2+20110220-1) unstable; urgency=low

  [ Timo Juhani Lindfors ]
  * New upstream release (closes: #586039, #586047, #591646, #591646, #597149).
  * Provide debian/watch file (closes: #586051).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Simplify debian/rules and upstream all debian/patches.
  * Bump Standards-Version to 3.9.1 (no changes needed)
  * Update copyright information in DEP-5 format.

  [ Teemu Hukkanen ]
  * Move package to collab-maint.
  * Add install-info to Build-Depends.
  * Add myself to Uploaders.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Mon, 21 Mar 2011 21:02:51 +0200

=== debian/control ===
Source: magit
Section: devel
Priority: optional
Maintainer: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Uploaders: Marius Vollmer <marius.vollmer@gmail.com>, Teemu Hukkanen <tjhukkan@iki.fi>
Build-Depends: debhelper (>= 7.0.50~), emacs23, texinfo, install-info
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Homepage: http://philjackson.github.com/magit/index.html
Vcs-Browser: http://git.debian.org/?p=collab-maint/magit.git
Vcs-Git: git://git.debian.org/collab-maint/magit.git

Package: magit
Architecture: all
Depends: ${misc:Depends}, emacs23 | emacs-snapshot, git-core, dpkg (>= 1.15.4) | install-info
Description: Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	mkdir -p $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/magit
	mv $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/*.el $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/magit
	rm -f debian/magit/usr/share/emacs/site-lisp/*.elc
	rm -f debian/magit/usr/share/info/dir

## magit 1.1.0

=== Makefile ===
VERSION=1.1.0
EMACS=emacs
PREFIX=/usr/local
SYSCONFDIR=/etc
ELS=magit.el magit-svn.el magit-topgit.el magit-stgit.el magit-key-mode.el magit-bisect.el
ELS_CONTRIB=contrib/magit-simple-keys.el contrib/magit-classic-theme.el
ELCS=$(ELS:.el=.elc)
ELCS_CONTRIB=$(ELS_CONTRIB:.el=.elc)
DIST_FILES=$(ELS) Makefile magit.texi magit.info README.md magit.spec.in magit-pkg.el.in 50magit.el
DIST_FILES_CONTRIB=$(ELS_CONTRIB) contrib/magit
ELPA_FILES=$(ELS) magit.info magit-pkg.el

.PHONY=install

BATCH=$(EMACS) -batch -q -no-site-file -eval \
  "(setq load-path (cons (expand-file-name \".\") load-path))"

%.elc: %.el
	$(BATCH) --eval '(byte-compile-file "$<")'

all: core docs contrib

core: $(ELCS) magit.spec magit-pkg.el

docs: magit.info

contrib: $(ELCS_CONTRIB)

magit.spec: magit.spec.in
	sed -e s/@VERSION@/$(VERSION)/ < $< > $@

magit-pkg.el: magit-pkg.el.in
	sed -e s/@VERSION@/$(VERSION)/ < $< > $@

magit.elc: magit.el
magit-key-mode.elc:
magit-svn.elc:
magit-topgit.elc:
magit-stgit.elc:
magit.info:

dist: magit-$(VERSION).tar.gz

magit-$(VERSION).tar.gz: $(DIST_FILES) $(DIST_FILES_CONTRIB)
	mkdir -p magit-$(VERSION)/contrib
	cp --preserve=timestamps $(DIST_FILES) magit-$(VERSION)
	cp --preserve=timestamps $(DIST_FILES_CONTRIB) magit-$(VERSION)/contrib
	tar -cvzf magit-$(VERSION).tar.gz magit-$(VERSION)
	rm -rf magit-$(VERSION)

elpa: magit-$(VERSION).tar

magit-$(VERSION).tar: $(ELPA_FILES)
	mkdir magit-$(VERSION)
	cp --preserve=timestamps $(ELPA_FILES) magit-$(VERSION)
	tar -cvf magit-$(VERSION).tar magit-$(VERSION)
	rm -rf magit-$(VERSION)

install: install_core install_docs

install_core: core
	mkdir -p $(DESTDIR)$(PREFIX)/share/emacs/site-lisp
	install -m 644 $(ELS) $(ELCS) $(DESTDIR)$(PREFIX)/share/emacs/site-lisp
	mkdir -p $(DESTDIR)$(SYSCONFDIR)/emacs/site-start.d
	install -m 644 50magit.el $(DESTDIR)$(SYSCONFDIR)/emacs/site-start.d/50magit.el

install_docs: docs
	mkdir -p $(DESTDIR)$(PREFIX)/share/info
	install -m 644 magit.info $(DESTDIR)$(PREFIX)/share/info
	install-info --info-dir=$(DESTDIR)$(PREFIX)/share/info $(DESTDIR)$(PREFIX)/share/info/magit.info

install_contrib: contrib
	mkdir -p $(DESTDIR)$(PREFIX)/share/emacs/site-lisp
	install -m 644 $(ELS_CONTRIB) $(ELCS_CONTRIB) $(DESTDIR)$(PREFIX)/share/emacs/site-lisp
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -m 755 contrib/magit $(DESTDIR)$(PREFIX)/bin

install_all: install install_contrib

clean:
	rm -fr magit-pkg.el magit.spec magit.info $(ELCS) $(ELCS_CONTRIB) *.tar.gz magit-$(VERSION)

=== debian/changelog ===
magit (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Use upstream tarball instead of regenerating one from git tag,
    mostly because make dist nowadays embeds version numbers to the
    *.el files (LP: #853567).
  * Drop patch inherit-standard-faces.diff that is now upstream.
  * Update watch file path.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sat, 31 Dec 2011 02:31:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,8 @@
 	mv $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/*.el $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/magit
 	rm -f debian/magit/usr/share/emacs/site-lisp/*.elc
 	rm -f debian/magit/usr/share/info/dir
+
+override_dh_auto_clean:
+	# Upstream make clean is broken
+	# Patch sent 2012-01-04 to http://groups.google.com/group/magit/browse_thread/thread/5f1d6cedacda396a
+	rm -fr magit-pkg.el magit.spec magit.elc magit-svn.elc magit-topgit.elc magit-stgit.elc magit-key-mode.elc magit-bisect.elc contrib/magit-simple-keys.elc contrib/magit-classic-theme.elc *.tar.gz magit-1.1.0

## magit 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.1.0
+VERSION=1.1.1
 EMACS=emacs
 PREFIX=/usr/local
 SYSCONFDIR=/etc
@@ -78,4 +78,4 @@
 install_all: install install_contrib
 
 clean:
-	rm -fr magit-pkg.el magit.spec magit.info $(ELCS) $(ELCS_CONTRIB) *.tar.gz magit-$(VERSION)
+	rm -fr magit-pkg.el magit.spec $(ELCS) $(ELCS_CONTRIB) *.tar.gz magit-$(VERSION)

=== debian/changelog ===
magit (1.1.1-2) unstable; urgency=low

  * Backport upstream commit c8cfaf37b7c142edc6714d86691b8720f2606328
    for autogenerating autoloads (closes: #671922).
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Update upstream homepage URL.
  * Remove DM-Upload-Allowed.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 21 May 2012 14:35:24 +0000

magit (1.1.1-1) unstable; urgency=low

  [ Timo Juhani Lindfors]
  * New upstream release.

  [ Rémi Vanicat ]
  * Install contrib .el files

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 23 Jan 2012 09:31:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Timo Juhani Lindfors <timo.lindfors@iki.fi>
 Uploaders: Marius Vollmer <marius.vollmer@gmail.com>, Teemu Hukkanen <tjhukkan@iki.fi>
 Build-Depends: debhelper (>= 7.0.50~), emacs23, texinfo, install-info
-Standards-Version: 3.9.2
-DM-Upload-Allowed: yes
-Homepage: http://philjackson.github.com/magit/index.html
+Standards-Version: 3.9.3
+Homepage: http://magit.github.com/magit/index.html
 Vcs-Browser: http://git.debian.org/?p=collab-maint/magit.git
 Vcs-Git: git://git.debian.org/collab-maint/magit.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install_contrib DESTDIR=$(CURDIR)/debian/magit PREFIX=/usr
	dh_auto_install -- PREFIX=/usr
	mkdir -p $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/magit
	mv $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/*.el $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/magit
	install -m 644 magit-install.el $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/magit
	rm -f debian/magit/usr/share/emacs/site-lisp/*.elc
	rm -f debian/magit/usr/share/info/dir
	rm -rf debian/magit/usr/bin

## magit 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,28 +1,30 @@
-VERSION=1.1.1
+VERSION=1.2.0
 EMACS=emacs
 PREFIX=/usr/local
 SYSCONFDIR=/etc
-ELS=magit.el magit-svn.el magit-topgit.el magit-stgit.el magit-key-mode.el magit-bisect.el
+ELS=magit.el magit-svn.el magit-topgit.el magit-stgit.el magit-key-mode.el magit-bisect.el magit-wip.el rebase-mode.el magit-blame.el
 ELS_CONTRIB=contrib/magit-simple-keys.el contrib/magit-classic-theme.el
 ELCS=$(ELS:.el=.elc)
 ELCS_CONTRIB=$(ELS_CONTRIB:.el=.elc)
-DIST_FILES=$(ELS) Makefile magit.texi magit.info README.md magit.spec.in magit-pkg.el.in 50magit.el
+DIST_FILES=$(ELS) Makefile magit.texi magit.info README.md magit.spec.in magit-pkg.el.in
 DIST_FILES_CONTRIB=$(ELS_CONTRIB) contrib/magit
-ELPA_FILES=$(ELS) magit.info magit-pkg.el
+ELPA_FILES=$(ELS) magit.info dir magit-pkg.el
 
 .PHONY=install
 
-BATCH=$(EMACS) -batch -q -no-site-file -eval \
+EFLAGS=
+BATCH=$(EMACS) $(EFLAGS) -batch -q -no-site-file -eval \
   "(setq load-path (cons (expand-file-name \".\") load-path))"
+
 
 %.elc: %.el
 	$(BATCH) --eval '(byte-compile-file "$<")'
 
 all: core docs contrib
 
-core: $(ELCS) magit.spec magit-pkg.el
+core: $(ELCS) magit.spec magit-pkg.el 50magit.el
 
-docs: magit.info
+docs: dir
 
 contrib: $(ELCS_CONTRIB)
 
@@ -32,19 +34,22 @@
 magit-pkg.el: magit-pkg.el.in
 	sed -e s/@VERSION@/$(VERSION)/ < $< > $@
 
+50magit.el: $(ELS) magit.elc
+	$(BATCH) -eval "(progn (defvar generated-autoload-file nil) (let ((generated-autoload-file \"$(CURDIR)/50magit.el\") (make-backup-files nil)) (update-directory-autoloads \".\")))"
+
 magit.elc: magit.el
-magit-key-mode.elc:
-magit-svn.elc:
-magit-topgit.elc:
-magit-stgit.elc:
+
+dir: magit.info
+	install-info --dir=$@ $<
+
 magit.info:
 
 dist: magit-$(VERSION).tar.gz
 
 magit-$(VERSION).tar.gz: $(DIST_FILES) $(DIST_FILES_CONTRIB)
 	mkdir -p magit-$(VERSION)/contrib
-	cp --preserve=timestamps $(DIST_FILES) magit-$(VERSION)
-	cp --preserve=timestamps $(DIST_FILES_CONTRIB) magit-$(VERSION)/contrib
+	cp -p $(DIST_FILES) magit-$(VERSION)
+	cp -p $(DIST_FILES_CONTRIB) magit-$(VERSION)/contrib
 	tar -cvzf magit-$(VERSION).tar.gz magit-$(VERSION)
 	rm -rf magit-$(VERSION)
 
@@ -52,7 +57,7 @@
 
 magit-$(VERSION).tar: $(ELPA_FILES)
 	mkdir magit-$(VERSION)
-	cp --preserve=timestamps $(ELPA_FILES) magit-$(VERSION)
+	cp -p $(ELPA_FILES) magit-$(VERSION)
 	tar -cvf magit-$(VERSION).tar magit-$(VERSION)
 	rm -rf magit-$(VERSION)
 
@@ -77,5 +82,8 @@
 
 install_all: install install_contrib
 
+test: $(ELCS)
+	$(BATCH) -l tests/magit-tests.el -f ert-run-tests-batch-and-exit
+
 clean:
-	rm -fr magit-pkg.el magit.spec $(ELCS) $(ELCS_CONTRIB) *.tar.gz magit-$(VERSION)
+	rm -fr magit-pkg.el magit.spec 50magit.el $(ELCS) $(ELCS_CONTRIB) *.tar.gz magit-$(VERSION)

=== debian/changelog ===
magit (1.2.0-2) unstable; urgency=low

  * Backport patch to fix incompatibility with emacs-snapshot 24.3.50
    (Closes: #718861)
    - bug-718861.patch

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Tue, 06 Aug 2013 12:27:17 +0300

magit (1.2.0-1) unstable; urgency=low

  * Upload to unstable.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 13 May 2013 19:36:29 +0000

magit (1.2.0-1~experimental1) experimental; urgency=low

  * New upstream release (Closes: #695479).
  * Drop patch autogenerate-autoloads.diff.
  * Bump standards-version to 3.9.4, no changes needed.
  * Upload to experimental since wheezy is frozen.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sun, 24 Feb 2013 17:49:45 +0000

magit (1.1.1-3) unstable; urgency=low

  * Add emacs24 to the list of supported emacs versions (closes: #679781)

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 02 Jul 2012 16:19:41 +0300

=== debian/control ===
Source: magit
Section: vcs
Priority: optional
Maintainer: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Uploaders: Marius Vollmer <marius.vollmer@gmail.com>, Teemu Hukkanen <tjhukkan@iki.fi>
Build-Depends: debhelper (>= 7.0.50~), emacs23, texinfo, install-info
Standards-Version: 3.9.4
Homepage: http://magit.github.com/magit/index.html
Vcs-Browser: http://git.debian.org/?p=collab-maint/magit.git
Vcs-Git: git://git.debian.org/collab-maint/magit.git

Package: magit
Architecture: all
Depends: ${misc:Depends}, emacs23 | emacs24 | emacs-snapshot, git-core, dpkg (>= 1.15.4) | install-info
Description: Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	# Upstream testsuite is not part of released tarballs, it is only in git
override_dh_auto_install:
	$(MAKE) install_contrib DESTDIR=$(CURDIR)/debian/magit PREFIX=/usr
	dh_auto_install -- PREFIX=/usr
	mkdir -p $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/magit
	mv $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/*.el $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/magit
	install -m 644 50magit.el $(CURDIR)/debian/magit/usr/share/emacs/site-lisp/magit/magit-install.el
	rm -f debian/magit/usr/share/emacs/site-lisp/*.elc
	rm -f debian/magit/usr/share/info/dir
	rm -rf debian/magit/usr/bin

=== debian/watch ===
version=3
http://github.com/magit/magit/downloads /downloads/magit/magit/magit-(\d.+).tar.gz

## magit 1.2.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.2.0
+VERSION=1.2.1
 EMACS=emacs
 PREFIX=/usr/local
 SYSCONFDIR=/etc

=== debian/changelog ===
magit (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Use releases from Github and use HTTPS.
  * Add emacsen.compat file (emacsen policy 2.0.8).
  * Don't depend on dpkg, install-info (policy 3.9.5).
  * Depend on emacsen-common, not emacs (emacsen policy 2.0.8)
    (closes: #754019).
  * Bump standards-version to 3.9.5.
  * Use custom-set-faces instead of setq in example (closes: #720883).
  * Use canonical Vcs addresses to make lintian happy.
  * Drop bug-718861.patch since new upstream version contains it.
  * Depend on git instead of transitional git-core package.
  * Build-Depend on emacs instead of emacs23 since emacs23 is going
    to be removed.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Fri, 25 Jul 2014 17:25:43 +0000

=== debian/control ===
Source: magit
Section: vcs
Priority: optional
Maintainer: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Uploaders: Marius Vollmer <marius.vollmer@gmail.com>, Teemu Hukkanen <tjhukkan@iki.fi>
Build-Depends: debhelper (>= 7.0.50~), emacs, texinfo, install-info
Standards-Version: 3.9.5
Homepage: http://magit.github.com/magit/index.html
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/magit.git
Vcs-Git: git://anonscm.debian.org/collab-maint/magit.git

Package: magit
Architecture: all
Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), git
Description: Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.

## magit 2.5.0

=== Makefile ===
include default.mk
-include config.mk

.PHONY: lisp \
	install install-lisp install-docs install-info \
	test test-interactive magit \
	clean clean-lisp clean-docs clean-archives \
	genstats bump-version melpa-post-release \
	dist magit-$(VERSION).tar.gz

all: lisp docs

help:
	$(info )
	$(info Current version: magit-$(VERSION))
	$(info )
	$(info See default.mk for variables you might want to set.)
	$(info )
	$(info Build)
	$(info =====)
	$(info )
	$(info make [all]            - compile elisp and documentation)
	$(info make lisp             - compile elisp)
	$(info make docs             - generate info manuals)
	$(info make info             - generate info manuals)
	$(info )
	$(info Install)
	$(info =======)
	$(info )
	$(info make install          - install elisp and documentation)
	$(info make install-lisp     - install elisp)
	$(info make install-docs     - install all documentation)
	$(info make install-info     - install info manuals only)
	$(info )
	$(info Test)
	$(info ====)
	$(info )
	$(info make test             - run tests)
	$(info make test-interactive - run tests interactively)
	$(info make magit            - run emacs -Q plus Magit)
	$(info )
	$(info Release Managment)
	$(info =================)
	$(info )
	$(info make texi             - regenerate texi from org)
	$(info make genstats         - regenerate statistics)
	$(info make authors          - regenerate AUTHORS.md)
	$(info make dist             - create tarballs)
	$(info make VERSION=N.M bump-versions - bump versions for release)
	$(info make bump-snapshots   - bump versions after release)
	@printf "\n"

lisp:
	@$(RM) $(ELCS) $(ELGS) # temporary cleanup kludge
	@$(MAKE) -C lisp lisp

docs:
	@$(MAKE) -C Documentation all

info:
	@$(MAKE) -C Documentation info

texi:
	@$(MAKE) -C Documentation texi

install: install-lisp install-docs

install-lisp: lisp
	@$(MAKE) -C lisp install

install-docs: docs
	@$(MAKE) -C Documentation install-docs

install-info: info
	@$(MAKE) -C Documentation install-info

test:
	@$(BATCH) --eval "(progn\
	(load-file \"t/magit-tests.el\")\
	(ert-run-tests-batch-and-exit))"

test-interactive:
	@$(EMACSBIN) -Q $(LOAD_PATH) --eval "(progn\
	(load-file \"t/magit-tests.el\")\
	(ert t))"

magit: clean-lisp
	@$(EMACSBIN) -Q $(LOAD_PATH) --debug-init --eval "(progn\
	(require 'magit)\
	(global-set-key \"\\C-xg\" 'magit-status)\
	(tool-bar-mode 0)\
	(menu-bar-mode 0)\
	(scroll-bar-mode 0))"

clean: clean-lisp clean-docs clean-archives
	@printf "Cleaning...\n"
	@$(RM) $(ELCS) $(ELGS) # temporary cleanup kludge
	@$(RM) Documentation/*.texi~ Documentation/*.info-1 Documentation/*.info-2
	@$(RM) magit-pkg.el t/magit-tests.elc

clean-lisp:
	@$(MAKE) -C lisp clean

clean-docs:
	@$(MAKE) -C Documentation clean

clean-archives:
	@$(RM) git-commit-*.el *.tar.gz *.tar
	@$(RMDIR) magit-$(VERSION)

# Release management

genstats:
	@printf "Generating stats\n"
	@gitstats -c style=/css/stats.css -c max_authors=200 . $(statsdir)

authors:
	@$(MAKE) -C Documentation authors

dist: magit-$(VERSION).tar.gz

DIST_ROOT_FILES = COPYING default.mk Makefile README.md
DIST_LISP_FILES = $(addprefix lisp/,$(ELS) magit-version.el Makefile)
DIST_DOCS_FILES = $(addprefix Documentation/,$(TEXIPAGES) AUTHORS.md Makefile)
ifneq ("$(wildcard Documentation/RelNotes/$(VERSION).txt)","")
  DIST_DOCS_FILES += Documentation/RelNotes/$(VERSION).txt
endif

magit-$(VERSION).tar.gz: lisp info
	@printf "Packing $@\n"
	@$(MKDIR) magit-$(VERSION)
	@$(CP) $(DIST_ROOT_FILES) magit-$(VERSION)
	@$(MKDIR) magit-$(VERSION)/lisp
	@$(CP) $(DIST_LISP_FILES) magit-$(VERSION)/lisp
	@$(MKDIR) magit-$(VERSION)/Documentation
	@$(CP) $(DIST_DOCS_FILES) magit-$(VERSION)/Documentation
	@$(TAR) cz --mtime=./magit-$(VERSION) -f magit-$(VERSION).tar.gz magit-$(VERSION)
	@$(RMDIR) magit-$(VERSION)

define set_package_requires
(require 'dash)
(dolist (lib (list "git-commit" "magit-popup" "magit"))
  (with-current-buffer (find-file-noselect (format "lisp/%s.el" lib))
    (goto-char (point-min))
    (re-search-forward "^;; Package-Requires: ")
    (let ((s (read (buffer-substring (point) (line-end-position)))))
      (--when-let (assq 'async       s) (setcdr it (list async-version)))
      (--when-let (assq 'dash        s) (setcdr it (list dash-version)))
      (--when-let (assq 'with-editor s) (setcdr it (list with-editor-version)))
      (--when-let (assq 'git-commit  s) (setcdr it (list git-commit-version)))
      (--when-let (assq 'magit-popup s) (setcdr it (list magit-popup-version)))
      (delete-region (point) (line-end-position))
      (insert (format "%S" s))
      (save-buffer))))
endef
export set_package_requires

define set_manual_version
(let ((version (split-string "$(VERSION)" "\\.")))
  (setq version (concat (car version) "." (cadr version)))
  (dolist (file (list "magit-popup" "magit"))
    (with-current-buffer (find-file-noselect (format "Documentation/%s.org" file))
      (goto-char (point-min))
      (re-search-forward "^#\\+SUBTITLE: for version ")
      (delete-region (point) (line-end-position))
      (insert version)
      (save-buffer))))
endef
export set_manual_version

bump-versions: bump-versions-1 texi
bump-versions-1:
	@$(BATCH) --eval "(progn\
        (setq async-version \"$(ASYNC_VERSION)\")\
        (setq dash-version \"$(DASH_VERSION)\")\
        (setq with-editor-version \"$(WITH_EDITOR_VERSION)\")\
        (setq git-commit-version \"$(GIT_COMMIT_VERSION)\")\
        (setq magit-popup-version \"$(MAGIT_POPUP_VERSION)\")\
        $$set_package_requires\
        $$set_manual_version)"

bump-snapshots:
	@$(BATCH) --eval "(progn\
        (setq async-version \"$(ASYNC_MELPA_SNAPSHOT)\")\
        (setq dash-version \"$(DASH_MELPA_SNAPSHOT)\")\
        (setq with-editor-version \"$(WITH_EDITOR_MELPA_SNAPSHOT)\")\
        (setq git-commit-version \"$(GIT_COMMIT_MELPA_SNAPSHOT)\")\
        (setq magit-popup-version \"$(MAGIT_POPUP_MELPA_SNAPSHOT)\")\
        $$set_package_requires)"
	git commit -a -m "reset Package-Requires for Melpa"

=== Documentation/Makefile ===
-include ../config.mk
include ../default.mk

MAKEINFO ?= makeinfo

INSTALL_INFO ?= $(shell command -v ginstall-info || printf install-info)

DOC_LOAD_PATH ?= -L ../../dash -L ../../org/lisp -L ../../ox-texinfo+

.PHONY: texi install clean AUTHORS.md

all: info

# Because most users don't have the necessary tools we cannot
# use "%.texi: %.org".  Instead we have to hardcode each file
# using a shared target.
texi: $(TEXIPAGES)
	@printf "Generating magit.texi\n"
	@$(EMACSBIN) -batch -Q $(DOC_LOAD_PATH) \
	-l ox-texinfo+.el magit.org -f org-texinfo+export-to-texinfo
	@echo >> magit.texi
	@printf "Generating magit-popup.texi\n"
	@$(EMACSBIN) -batch -Q $(DOC_LOAD_PATH) \
	-l ox-texinfo+.el magit-popup.org -f org-texinfo+export-to-texinfo
	@echo >> magit-popup.texi

info: $(INFOPAGES) dir

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: magit.info magit-popup.info
	@printf "Generating dir\n"
	@echo $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

install: install-info install-docs

install-docs: install-info
	@$(MKDIR) $(DESTDIR)$(docdir)
	$(CP) AUTHORS.md $(DESTDIR)$(docdir)

install-info: info
	@$(MKDIR) $(DESTDIR)$(infodir)
	$(CP) $(INFOPAGES) $(DESTDIR)$(infodir)

clean:
	@printf "Cleaning Documentation/*...\n"
	@$(RM) $(INFOPAGES) dir

authors: AUTHORS.md
AUTHORS.md:
	@printf "Generating AUTHORS.md..."
	@test -e $(TOP).git \
	&& (printf "$$AUTHORS_HEADER\n" > $@ \
	&& git log --pretty=format:'- %aN <%aE>' | sort -u >> $@ \
	&& printf "done\n" ; ) \
	|| printf "FAILED (non-fatal)\n"

define AUTHORS_HEADER
Authors
=======

The following people have contributed to Magit, including the
libraries `git-commit.el`, `magit-popup.el`, and `with-editor.el`
which are distributed as separate Elpa packages.

For statistics see http://magit.vc/stats/authors.html.

Names below are sorted alphabetically.

Author
------

- Marius Vollmer <marius.vollmer@gmail.com>

Maintainer
----------

- Jonas Bernoulli <jonas@bernoul.li>

Developers
----------

- Kyle Meyer <kyle@kyleam.com>
- Noam Postavsky <npostavs@users.sourceforge.net>

Retired Maintainers and Developers
----------------------------------

- Nicolas Dudebout <nicolas.dudebout@gatech.edu>
- Peter J. Weisberg <pj@irregularexpressions.net>
- Pieter Praet <pieter@praet.org>
- Phil Jackson <phil@shellarchive.co.uk>
- Rémi Vanicat <vanicat@debian.org>
- Yann Hodique <yann.hodique@gmail.com>

Contributors
------------

endef
export AUTHORS_HEADER

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

.PHONY: magit-version.el install

all: lisp

git-commit.elc:
magit-utils.elc:
magit-section.elc:	magit-utils.elc
magit-git.elc:		magit-utils.elc magit-section.elc
magit-mode.elc:		magit-section.elc magit-git.elc
magit-popup.elc:
magit-process.elc:	magit-utils.elc magit-section.elc \
			magit-git.elc magit-mode.elc
magit-autorevert.elc:	magit-git.elc magit-process.elc
magit-core.elc:		magit-utils.elc magit-section.elc magit-git.elc \
			magit-mode.elc magit-popup.elc magit-process.elc
magit-diff.elc:		git-commit.elc magit-core.elc
magit-log.elc:		magit-core.elc magit-diff.elc
magit-wip.elc:		magit-core.elc magit-log.elc
magit-apply.elc:	magit-core.elc magit-diff.elc magit-wip.elc
magit.elc:		git-commit.elc magit-core.elc magit-diff.elc \
			magit-apply.elc magit-log.elc
magit-sequence.elc:	magit.elc
magit-commit.elc:	magit.elc magit-sequence.elc
magit-remote.elc:	magit.elc
magit-bisect.elc:	magit.elc
magit-stash.elc:	magit.elc
magit-blame.elc:	magit.elc
magit-submodule.elc:	magit.elc
magit-ediff.elc:	magit.elc
magit-extras.elc:	magit.elc
git-rebase.elc:		magit.elc

lisp: $(ELCS) magit-version.el magit-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(BATCH) --eval "(progn\
	(when (file-exists-p \"$@\")\
	  (delete-file \"$@\"))\
	(setq with-editor-emacsclient-executable nil)\
	(fset 'message* (symbol-function 'message))\
	(fset 'message  (lambda (f &rest a)\
	                  (unless (equal f \"Wrote %s\")\
	                    (apply 'message* f a)))))" \
	-f batch-byte-compile $<

magit-version.el:
	@printf "Generating $@\n"
	@printf ";;; magit-version.el --- the Magit version you are using\n\n" > $@
	@printf "(setq magit-version \""$(VERSION)"\")\n\n" >> $@
	@printf "(provide 'magit-version)\n\n" >> $@
	@printf ";; Local Variables:\n" >> $@
	@printf ";; version-control: never\n" >> $@
	@printf ";; no-byte-compile: t\n" >> $@
	@printf ";; no-update-autoloads: t\n" >> $@
	@printf ";; coding: utf-8\n" >> $@
	@printf ";; End:\n" >> $@
	@printf ";;; magit-version.el ends here\n" >> $@

magit-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@$(RM) $@
	@printf ";;; $@ --- automatically extracted autoloads\n" >> $@
	@printf ";;\n" >> $@
	@printf ";;; Code:\n" >> $@ >> $@
	@printf "(add-to-list 'load-path (directory-file-name (or (file-name-directory #$$) (car load-path))))\n" >> $@
	@printf "\n" >> $@
	@printf ";; Local Variables:\n" >> $@
	@printf ";; version-control: never\n" >> $@
	@printf ";; no-byte-compile: t\n" >> $@
	@printf ";; no-update-autoloads: t\n" >> $@
	@printf ";; End:\n" >> $@
	@printf ";;; $@ ends here\n" >> $@
	@$(BATCH) --eval "(progn\
	(fset 'message (lambda (&rest _)))\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"magit-autoloads.el\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory)))"

install: lisp
	@$(MKDIR) $(DESTDIR)$(lispdir)
	$(CP) $(ELS) magit-autoloads.el magit-version.el $(ELCS) $(DESTDIR)$(lispdir)

clean:
	@printf "Cleaning lisp/*...\n"
	@$(RM) $(ELCS) $(ELGS)

=== debian/changelog ===
magit (2.5.0-2) unstable; urgency=medium

  * Add Breaks on older magit to make piupart happy (Closes: #814620)

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 14 Feb 2016 10:10:12 +0100

magit (2.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 31 Jan 2016 12:25:04 +0100

magit (2.4.1-1) unstable; urgency=low

  * New upstream version.
  * Bug fix: "missing info files", thanks to David Bremner (Closes:
    #806499).

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 21 Jan 2016 19:24:14 +0100

magit (2.3.1-2) unstable; urgency=medium

  * Use dh --with elpa

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 06 Dec 2015 16:15:37 +0000

magit (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * Bug fix: "maintainer address bounces", thanks to Ansgar Burchardt
    (Closes: #804654).
  * Adding some code in prerm for problem when upgrading from elpa-magit
    2.2.2-3. Fix: "pre-removal script fails: “No such file or directory”
    for ‘site-lisp’ entries", thanks to Ben Finney (Closes: #803606).

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 11 Nov 2015 16:56:48 +0100

magit (2.3.0-2) unstable; urgency=medium

  * Change the elpa version

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 31 Oct 2015 16:51:39 +0100

magit (2.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 30 Oct 2015 12:59:28 +0100

magit (2.2.2-3) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * refresh missing upstream repo file patch from 2.2.2

  [ Rémi Vanicat ]
  * Using dh-elpa
  * Update uploaders, thanks to Marius and Teemu for the past help.

 -- Rémi Vanicat <vanicat@debian.org>  Tue, 15 Sep 2015 18:33:25 +0200

magit (2.2.2-2) unstable; urgency=low

  * fix incompatibility with emacs 23
  * Bug fix: "should Conflict emacs23", thanks to Bob Proulx (Closes:
    #798482).

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 10 Sep 2015 10:18:43 +0200

magit (2.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #782538).

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 06 Sep 2015 16:46:13 +0200

magit (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump to debhelper 9.
  * Modify debian packaging scripts per upstream changes.
  * Patch upstream Makefile to not disable site init for byte compilation.
  * Adjusments for including new upstream documentation.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 01 Sep 2015 12:02:12 +0100

=== debian/control ===
Source: magit
Section: vcs
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>, Rémi Vanicat <vanicat@debian.org>, Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9),
	emacs-nox | emacs, dh-elpa (>= 0.0.17), dash-el,
	texinfo, install-info
Standards-Version: 3.9.6
Homepage: http://magit.vc/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magit.git
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit.git

Package: elpa-magit
Architecture: all
Provides: magit
Replaces: magit (<< 2.2.2-3)
Breaks: magit (<< 2.2.2-3)
Depends: ${misc:Depends}, git, dash-el, elpa-with-editor, elpa-magit-popup, elpa-git-commit
Description: Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.

Package: elpa-git-commit
Architecture: all
Depends: ${misc:Depends}, dash-el, elpa-with-editor
Description: Major mode for edditing git commit message
 A mode for edditing COMMIT_MSG file from git in Emacs.

Package: elpa-magit-popup
Architecture: all
Depends: ${misc:Depends}, dash-el
Description: Use popup like Magit
 Magit use popup to run different git function and select the option
 you want
 .
 This package allow you to use those popup in other Emacs mode.

Package: magit
Priority: extra
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, elpa-magit
Description: transitional dummy package for elpa-magit
 This transitional package is safe to remove.

=== debian/rules ===
#!/usr/bin/make -f
VERSION=2.5.0

%:
	dh $@ --with elpa --parallel

override_dh_auto_build:
	make lisp/magit-version.el
	make info
	@echo do not run make

override_dh_auto_install:
	@echo do not run make install

override_dh_auto_test:
	@echo Testing disabled, discussion in comment below.

# "make test" runs a test suite, which works fine on a development
# environment, but not on the autobuilders.  To get it to work on the
# autobuilders requires a few tweaks, as of 2.2.1:

# - The upstream tarball does not contain /t/magit-tests.el; for
#   convenience this is included in
#   debian/patch/*-upstream-repo-files.patch

# - The testing routines require git to be installed, so you need a
#   build dependency on git

# - There is one more mysterious error with a non-ASCII filename that
#   occurs only in a minimal chroot environment

=== debian/watch ===
version=3
https://github.com/magit/magit/releases /magit/magit/releases/download/\d.+/magit-(\d.+).tar.gz

## magit 2.7.0

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	$(info )
 	$(info make test             - run tests)
 	$(info make test-interactive - run tests interactively)
-	$(info make magit            - run emacs -Q plus Magit)
+	$(info make emacs-Q          - run emacs -Q plus Magit)
 	$(info )
 	$(info Release Managment)
 	$(info =================)
@@ -46,7 +46,7 @@
 	$(info make genstats         - regenerate statistics)
 	$(info make authors          - regenerate AUTHORS.md)
 	$(info make dist             - create tarballs)
-	$(info make VERSION=N.M bump-versions - bump versions for release)
+	$(info make bump-versions    - bump versions for release)
 	$(info make bump-snapshots   - bump versions after release)
 	@printf "\n"
 
@@ -84,13 +84,11 @@
 	(load-file \"t/magit-tests.el\")\
 	(ert t))"
 
-magit: clean-lisp
+emacs-Q: clean-lisp
 	@$(EMACSBIN) -Q $(LOAD_PATH) --debug-init --eval "(progn\
+	(setq debug-on-error t)\
 	(require 'magit)\
-	(global-set-key \"\\C-xg\" 'magit-status)\
-	(tool-bar-mode 0)\
-	(menu-bar-mode 0)\
-	(scroll-bar-mode 0))"
+	(global-set-key \"\\C-xg\" 'magit-status))"
 
 clean: clean-lisp clean-docs clean-archives
 	@printf "Cleaning...\n"
@@ -156,7 +154,7 @@
 export set_package_requires
 
 define set_manual_version
-(let ((version (split-string "$(VERSION)" "\\.")))
+(let ((version (split-string "$(MAGIT_VERSION)" "\\.")))
   (setq version (concat (car version) "." (cadr version)))
   (dolist (file (list "magit-popup" "magit"))
     (with-current-buffer (find-file-noselect (format "Documentation/%s.org" file))

=== Documentation/Makefile ===
--- 
+++ 
@@ -65,7 +65,7 @@
 libraries `git-commit.el`, `magit-popup.el`, and `with-editor.el`
 which are distributed as separate Elpa packages.
 
-For statistics see http://magit.vc/stats/authors.html.
+For statistics see https://magit.vc/stats/authors.html.
 
 Names below are sorted alphabetically.

=== lisp/Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 magit-stash.elc:	magit.elc
 magit-blame.elc:	magit.elc
 magit-submodule.elc:	magit.elc
+magit-subtree.elc:	magit.elc
 magit-ediff.elc:	magit.elc
 magit-extras.elc:	magit.elc
 git-rebase.elc:		magit.elc

=== debian/changelog ===
magit (2.7.0-1) unstable; urgency=medium

  * Use dh-elpa for generating *-pkg.el files
    needed for better version management
  * Using Built-Using
  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 21 May 2016 14:29:11 +0200

magit (2.6.2-1) unstable; urgency=low

  * Standards-Version: 3.9.8, no change needed
  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 06 May 2016 17:52:58 +0200

magit (2.6.1-1) unstable; urgency=low

  * Standards-Version: 3.9.7, no changec needed
  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 15 Apr 2016 00:05:12 +0200

magit (2.6.0-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 07 Apr 2016 14:24:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
 	emacs-nox | emacs, dh-elpa (>= 0.0.17), dash-el,
 	texinfo, install-info
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://magit.vc/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magit.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit.git
@@ -16,7 +16,8 @@
 Provides: magit
 Replaces: magit (<< 2.2.2-3)
 Breaks: magit (<< 2.2.2-3)
-Depends: ${misc:Depends}, git, dash-el, elpa-with-editor, elpa-magit-popup, elpa-git-commit
+Depends: ${misc:Depends}, git, dash-el, ${elpa:Depends}
+Built-Using: ${misc:Built-Using}
 Description: Emacs interface for Git
  With Magit, you can inspect and modify your Git repositories with
  Emacs.  You can review and commit the changes you have made to the
@@ -26,13 +27,15 @@
 
 Package: elpa-git-commit
 Architecture: all
-Depends: ${misc:Depends}, dash-el, elpa-with-editor
+Depends: ${misc:Depends}, dash-el, ${elpa:Depends}
+Built-Using: ${misc:Built-Using}
 Description: Major mode for edditing git commit message
  A mode for edditing COMMIT_MSG file from git in Emacs.
 
 Package: elpa-magit-popup
 Architecture: all
-Depends: ${misc:Depends}, dash-el
+Depends: ${misc:Depends}, dash-el, ${elpa:Depends}
+Built-Using: ${misc:Built-Using}
 Description: Use popup like Magit
  Magit use popup to run different git function and select the option
  you want
@@ -44,5 +47,6 @@
 Section: oldlibs
 Architecture: all
 Depends: ${misc:Depends}, elpa-magit
+Built-Using: ${misc:Built-Using}
 Description: transitional dummy package for elpa-magit
  This transitional package is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,14 @@
 #!/usr/bin/make -f
-VERSION=2.5.0
+include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@ --with elpa --parallel
 
 override_dh_auto_build:
-	make lisp/magit-version.el
 	make info
+	sed -i lisp/magit.el -e "/;; Homepage: https:..github.com.magit./a;; Version: $(DEB_VERSION_UPSTREAM)"
+	sed -i lisp/git-commit.el -e "/;; Homepage: https:..github.com.magit./a;; Version: $(DEB_VERSION_UPSTREAM)"
+	sed -i lisp/magit-popup.el -e "/;; Homepage: https:..github.com.magit./a;; Version: $(DEB_VERSION_UPSTREAM)"
 	@echo do not run make
 
 override_dh_auto_install:
@@ -14,6 +16,13 @@
 
 override_dh_auto_test:
 	@echo Testing disabled, discussion in comment below.
+
+override_dh_clean:
+	sed -i lisp/magit.el -e "/;; Version: $(DEB_VERSION_UPSTREAM)/d"
+	sed -i lisp/git-commit.el -e "/;; Version: $(DEB_VERSION_UPSTREAM)/d"
+	sed -i lisp/magit-popup.el -e "/;; Version: $(DEB_VERSION_UPSTREAM)/d"
+	dh_clean
+
 
 # "make test" runs a test suite, which works fine on a development
 # environment, but not on the autobuilders.  To get it to work on the
